#!/bin/bash

# Install WINE
dpkg --add-architecture i386
apt-get update
apt-get install -y wget xvfb wine winetricks unzip

# Load framebuffer
sudo -u vagrant Xvfb :0 -screen 0 1024x768x16 &
sudo -u vagrant wine start.exe
sudo -u vagrant "ln -s /vagrant /home/vagrant/.wine/drive_c/vagrant"

# Start framebuffer on VM start
echo "sudo -u vagrant Xvfb :0 -screen 0 1024x768x16 &" >> /etc/rc.local

# Install Tibbo tools
sudo -u vagrant wget http://dev.dms-serwis.com.pl/misc/tide-tibbo-lite-5.1.3-win32.zip -O /tmp/tibbo.zip
sudo -u vagrant mkdir "/home/vagrant/.wine/drive_c/Program Files/Tibbo"
sudo -u vagrant unzip /tmp/tibbo.zip -d  "/home/vagrant/.wine/drive_c/Program Files/Tibbo"

# WINE extensions
sudo -u vagrant env DISPLAY=:0.0; cd /home/vagrant/.wine/drive_c; winetricks corefonts vcrun6

# Install command
echo """#!/bin/bash
rm -rf ~/.wine/drive_c/vagrant || true
mkdir ~/.wine/drive_c/vagrant
cp -rf /vagrant/* ~/.wine/drive_c/vagrant/
env DISPLAY=:0.0
cd ~/.wine/drive_c/vagrant
wine "C:\Program Files\Tibbo\TIDE\Bin\tmake.exe" $1 -b "C:\Program Files\Tibbo\TIDE\Bin" -p "C:\Program Files\Tibbo\TIDE\Platforms"
cp -f /.wine/drive_c/vagrant/*.tpc /vagrant
rm -rf ~/.wine/drive_c/vagrant || true
""" > /usr/sbin/tibbo_build

chmod ugo+rx /usr/sbin/tibbo_build
